## cascading.pipe.assembly
Class AggregateBy.CompositeFunction

    java.lang.Object
      cascading.operation.BaseOperation<LinkedHashMap<Tuple,Tuple[]>>
          cascading.pipe.assembly.AggregateBy.CompositeFunction

All Implemented Interfaces:
  Function<LinkedHashMap<Tuple,Tuple[]>>, Operation<LinkedHashMap<Tuple,Tuple[]>>, Serializable

Enclosing class:
  AggregateBy

    public static class AggregateBy.CompositeFunction

extends BaseOperation<LinkedHashMap<Tuple,Tuple[]>>
implements Function<LinkedHashMap<Tuple,Tuple[]>>

Class CompositeFunction takes multiple Functor instances and manages them as a single `Function`.

See Also:
  `AggregateBy.Functor`, Serialized Form

Field Summary
`static int` `DEFAULT_THRESHOLD`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`AggregateBy.CompositeFunction(Fields groupingFields, Fields[] argumentFields, AggregateBy.Functor[] functors, int threshold)` Constructor CompositeFunction creates a new CompositeFunction instance.
`AggregateBy.CompositeFunction(Fields groupingFields, Fields argumentFields, AggregateBy.Functor functor, int threshold)` Constructor CompositeFunction creates a new CompositeFunction instance.

Method Summary
`void` `cleanup(FlowProcess flowProcess, OperationCall<LinkedHashMap<Tuple,Tuple[]>> operationCall)` Method cleanup does nothing, and may safely be overridden.
`boolean` `equals(Object object)`
`int` `hashCode()`
`void` `operate(FlowProcess flowProcess, FunctionCall<LinkedHashMap<Tuple,Tuple[]>> functionCall)` Method operate provides the implementation of this Function.
`void` `prepare(FlowProcess flowProcess, OperationCall<LinkedHashMap<Tuple,Tuple[]>> operationCall)` Method prepare does nothing, and may safely be overridden.

Methods inherited from class cascading.operation.BaseOperation
`getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`getFieldDeclaration, getNumArgs, isSafe`

Field Detail

### DEFAULT_THRESHOLD

    public static final int DEFAULT_THRESHOLD

See Also:
  Constant Field Values

Constructor Detail

### AggregateBy.CompositeFunction

    public AggregateBy.CompositeFunction(Fields groupingFields,
                                         Fields argumentFields,
                                         AggregateBy.Functor functor,
                                         int threshold)

  Constructor CompositeFunction creates a new CompositeFunction instance.

  Parameters:
    `groupingFields` - of type Fields
    `argumentFields` - of type Fields
    `functor` - of type Functor
    `threshold` - of type int

### AggregateBy.CompositeFunction

    public AggregateBy.CompositeFunction(Fields groupingFields,
                                         Fields[] argumentFields,
                                         AggregateBy.Functor[] functors,
                                         int threshold)

  Constructor CompositeFunction creates a new CompositeFunction instance.

  Parameters:
    `groupingFields` - of type Fields
    `argumentFields` - of type Fields[]
    `functors` - of type Functor[]
    `threshold` - of type int

Method Detail

### prepare

    public void prepare(FlowProcess flowProcess,
                        OperationCall<LinkedHashMap<Tuple,Tuple[]>> operationCall)

  Description copied from class: `BaseOperation`
  Method prepare does nothing, and may safely be overridden.

  Specified by:
    `prepare` in interface `Operation<LinkedHashMap<Tuple,Tuple[]>>`
  Overrides:
    `prepare` in class `BaseOperation<LinkedHashMap<Tuple,Tuple[]>>`

### operate

    public void operate(FlowProcess flowProcess,
                        FunctionCall<LinkedHashMap<Tuple,Tuple[]>> functionCall)

  Description copied from interface: `Function`
  Method operate provides the implementation of this Function.

  Specified by:
    `operate` in interface `Function<LinkedHashMap<Tuple,Tuple[]>>`
  Parameters:
    `flowProcess` - of type FlowProcess
    `functionCall` - of type FunctionCall

### cleanup

    public void cleanup(FlowProcess flowProcess,
                        OperationCall<LinkedHashMap<Tuple,Tuple[]>> operationCall)

  Description copied from class: `BaseOperation`
  Method cleanup does nothing, and may safely be overridden.

  Specified by:
    `cleanup` in interface `Operation<LinkedHashMap<Tuple,Tuple[]>>`
  Overrides:
    `cleanup` in class `BaseOperation<LinkedHashMap<Tuple,Tuple[]>>`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation<LinkedHashMap<Tuple,Tuple[]>>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation<LinkedHashMap<Tuple,Tuple[]>>`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.